Sign inGet started

Access keys

GET
/organizations/{organizationId}/access-keys
List the access keys that are created for this organization.
查询参数
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
响应载荷
results
array of object
必填
List of access keys.
显示子属性
results.id
string
必填
ID of the access key.
results.organizationId
string
必填
ID of the organization that owns the access key.
results.name
string
必填
Access key name.
results.type
string
Possible values: user, workspace, workspace-scim, service, organization
results.description
string
Access key description.
results.suffix
string
必填
Access key suffix.
results.lastUsedAt
string
When the access key was last used.
results.createdAt
string
必填
When the access key was created.
results.updatedAt
string
When the access key was last updated.
results.roleIds
array of string
IDs of IAM roles attached to the access key.
results.roleRefs
array of object
The list of IAM roles assigned to the access key.
显示子属性
results.roleRefs.id
string
必填
results.roleRefs.type
string
必填
Possible values: organization, managed
results.roleRefs.workspaces
array of string
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/access-keys
Create a new access key for the organization.
请求载荷
name
string
必填
Access key name.
description
string
必填
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
显示子参数
roleRefs.id
string
必填
roleRefs.type
string
必填
Possible values: organization, managed
roleRefs.workspaces
array of string
响应载荷
accessKey
object
必填
The access key record.
显示子属性
accessKey.id
string
必填
ID of the access key.
accessKey.organizationId
string
必填
ID of the organization that owns the access key.
accessKey.name
string
必填
Access key name.
accessKey.type
string
Possible values: user, workspace, workspace-scim, service, organization
accessKey.description
string
Access key description.
accessKey.suffix
string
必填
Access key suffix.
accessKey.lastUsedAt
string
When the access key was last used.
accessKey.createdAt
string
必填
When the access key was created.
accessKey.updatedAt
string
When the access key was last updated.
accessKey.roleIds
array of string
IDs of IAM roles attached to the access key.
accessKey.roleRefs
array of object
The list of IAM roles assigned to the access key.
显示子属性
accessKey.roleRefs.id
string
必填
accessKey.roleRefs.type
string
必填
Possible values: organization, managed
accessKey.roleRefs.workspaces
array of string
token
string
必填
The token that can be used for authentication
代码示例
curl -X POST 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/access-keys/{accessKeyId}
Retrieve a single access key.
响应载荷
id
string
必填
ID of the access key.
organizationId
string
必填
ID of the organization that owns the access key.
name
string
必填
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
必填
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
必填
When the access key was created.
updatedAt
string
When the access key was last updated.
roles
array of object
必填
IAM roles attached to this access key.
显示子属性
roles.accessKeysDependencyCount
integer
必填
The number of access keys this role is assigned to.
roles.actions
array of object
Actions this role contains.
显示子属性
roles.actions.name
string
必填
The name of the action.
roles.actions.type
string
必填
The type that the action belongs to.
roles.createdAt
string
必填
When this role was created.
roles.description
string
Role description.
roles.id
string
必填
ID of the role.
roles.metadata
object
Metadata for the IAM Role.
显示子属性
roles.metadata.clouds
array of string
roles.name
string
必填
Role name.
roles.organizationId
string
ID of the organization to which this role belongs.
roles.policies
array of object
必填
IAM Policies this role contains.
显示子属性
The IAM policy record.
roles.policies.createdAt
string
必填
When the IAM Policy was created.
roles.policies.definitions
array of object
必填
List of IAM Policy definitions.
显示子属性
roles.policies.definitions.actions
array of string
必填
A list of actions
roles.policies.definitions.conditionsAll
array of object
显示子属性
roles.policies.definitions.conditionsAll.any
object
roles.policies.definitions.effect
string
必填
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
roles.policies.definitions.resources
array of string
必填
A list of resources
roles.policies.description
string
IAM Policy description.
roles.policies.id
string
必填
ID of the IAM Policy.
roles.policies.metadata
object
Metadata for the IAM Policy.
显示子属性
roles.policies.metadata.apps
array of string
roles.policies.metadata.clouds
array of string
roles.policies.metadata.groups
array of string
roles.policies.name
string
必填
IAM Policy name.
roles.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
roles.policies.scope
string
必填
The scope to which this policy applies.
Possible values: organization, root
roles.policies.updatedAt
string
必填
When the IAM Policy was last updated.
roles.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
roles.type
string
必填
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
roles.updatedAt
string
必填
When this role was last updated.
roles.usersDependencyCount
integer
必填
The number of users this role is assigned to.
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/access-keys/{accessKeyId}
Remove the access key from the organization.
代码示例
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/access-keys/{accessKeyId}
Update the access key's properties.
请求载荷
name
string
Access key name.
description
string
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
显示子参数
roleRefs.id
string
必填
roleRefs.type
string
必填
Possible values: organization, managed
roleRefs.workspaces
array of string
响应载荷
id
string
必填
ID of the access key.
organizationId
string
必填
ID of the organization that owns the access key.
name
string
必填
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
必填
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
必填
When the access key was created.
updatedAt
string
When the access key was last updated.
roleIds
array of string
IDs of IAM roles attached to the access key.
roleRefs
array of object
The list of IAM roles assigned to the access key.
显示子属性
roleRefs.id
string
必填
roleRefs.type
string
必填
Possible values: organization, managed
roleRefs.workspaces
array of string
代码示例
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'